<?php 

include "protege_professor.php";

$idlote  = $_GET["idlote"];
$idproduto  = $_GET["idproduto"];

$alterado_por = $_SESSION["id_usuario"]; // cadastrado por


function dados_empreendimentos($idlote){
    include "conexao.php";

 $query_slide = mysqli_query($db, "SELECT * FROM lote 
 									INNER JOIN produto ON lote.produto_idproduto=produto.idproduto 
                                   INNER JOIN empreendimento ON produto.empreendimento_idempreendimento=empreendimento.idempreendimento                
                                   INNER JOIN empreendimento_cadastro ON  empreendimento.empreendimento_cadastro_id=empreendimento_cadastro.idempreendimento_cadastro          
                                  where idlote = $idlote"); 


            while ($buscar_slide = mysqli_fetch_assoc($query_slide)) {//--While categoria
          
             $quadra      = $buscar_slide["quadra"];
             $descricao_empreendimento      = $buscar_slide["descricao_empreendimento"];
             $lote      = $buscar_slide["lote"];

             $dados['quadra'] =  $quadra; 
             $dados['descricao_empreendimento'] =  $descricao_empreendimento;
             $dados["lote"] = $lote;
}
return $dados;


}


function nome_user($id){
    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                $executa_igpm = mysqli_query ($db, $query_igpm);
                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 

//function que grava usuario que alterou e o que alterou
function grava_log($data_log,$usuario_id,$descricao_log,$lote,$desc_quadra,$desc_empreendimento){

     include "conexao.php";
     $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES ('$data_log','$usuario_id','$descricao_log')";
     
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }

 $dados_empreendimentos = dados_empreendimentos($idlote);

 $desc_quadra = $dados_empreendimentos["quadra"];
 $desc_empreendimento = $dados_empreendimentos["descricao_empreendimento"];
 $lote = $dados_empreendimentos["lote"];


date_default_timezone_set('America/Sao_Paulo');
$nome_usuario = nome_user($alterado_por);
$data_log = date('d-m-Y H:i:s');
$usuario_id = $alterado_por;
$descricao_log = "Usuário ".$nome_usuario." excluiu o lote: ".$lote." da quadra: ".$desc_quadra." do empreendimento ".$desc_empreendimento;

$executa_log = grava_log($data_log,$usuario_id,$descricao_log,$lote,$desc_quadra,$desc_empreendimento);



include "conexao.php";


$deleta_album = mysqli_query($db,"DELETE FROM lote WHERE idlote='$idlote'");



  



?>
<script>
window.location ="cadastro_lote.php?idproduto=<?php echo $idproduto ?>";
</script>